<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Fox009_Vermilion
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary">
		<?php esc_html_e( 'Skip to content', 'fox009-vermilion' ); ?>
	</a>
	<header id="masthead" class="site-header">
		<?php
		get_template_part( 'template-parts/header/header', 'top' );
		get_template_part( 'template-parts/header/header', 'middle' );
		get_template_part( 'template-parts/header/header', 'bottom' );
		?>
	</header><!-- #masthead -->
	<?php fox009_vermilion_slider(); ?>
	<div class="breadcrumbs-container">
		<div class="container">
			<?php fox009_vermilion_breadcrumb(); ?>
		</div>
	</div>
	<div class="page-content container">
		<div class="row">