<?php

if(!function_exists('fox009_vermilion_custom_css')){

    function fox009_vermilion_custom_css(){
		$primary_color = fox009_vermilion_theme_options('primary_color');
		$primary_color_rgb = fox009_vermilion_rgb_color($primary_color);
		$button_color = fox009_vermilion_theme_options('button_color');
		$button_border_radius = fox009_vermilion_theme_options('button_border_radius');
		$slider_background_color = fox009_vermilion_theme_options('slider_background_color');
		$slider_max_height = fox009_vermilion_theme_options('slider_max_height');
		$sidebar_width = fox009_vermilion_theme_options('sidebar_width');
		$primary_width = 100 - $sidebar_width;
		$background_color = get_background_color();	
		$custom_css = ':root {' .
					'--primary-color: ' . $primary_color . ';' .
					'--primary-color-rgb: ' . $primary_color_rgb . ';' .
					'--button-color: ' . $button_color . ';' .
					'--button-border-radius: ' . $button_border_radius . 'px;' .
					'--slider-background-color: ' . $slider_background_color . 'ee;' .
					'--slider-max-height: ' . $slider_max_height . 'px;' .
					'--primary-column-width:' . $primary_width . '%;' .
					'--sidebar-column-width:' . $sidebar_width . '%;' .
					'background-color: #' . $background_color . ';' .
					'}';
		$header_image = get_header_image();
		if($header_image!=''){
			$custom_css .=	'.site-header{' .
						'background-image: url(' . $header_image . ');' .
						'}';
		}
		$container_layout = fox009_vermilion_theme_options('container_layout');	
		if($container_layout == 'limit'){
			$container_max_width = fox009_vermilion_theme_options('container_max_width');
			$custom_css .=	'.container {' .
						'max-width: ' . $container_max_width . 'px;' .
						'}';
		}
					
		$site_title_font_size = fox009_vermilion_theme_options('site_title_font_size');
		$custom_css .= '.header-middle .site-branding h1{' .
					'font-size:' . $site_title_font_size . 'rem;' .
					'}.header-middle .site-description{' .
					'font-size:' . $site_title_font_size/2 . 'rem;' .
					'}';
					
		$header_nav_transform = fox009_vermilion_theme_options('header_nav_transform');
		$custom_css .= '.site-header nav a{' .
					'text-transform:' . $header_nav_transform . ';' .
					'}';
		
		$top_nav_padding_left = fox009_vermilion_theme_options('top_nav_padding_left');
		$main_nav_padding_left = fox009_vermilion_theme_options('main_nav_padding_left');
		$custom_css .= '.top-navigation a {' .
					'padding-left:' . $top_nav_padding_left . 'px;' .
					'}.main-navigation a{' .
					'padding-left:' . $main_nav_padding_left . 'px;' .
					'}';
						
		wp_add_inline_style('fox009-vermilion-style', $custom_css);	
	}
}
add_action('wp_enqueue_scripts', 'fox009_vermilion_custom_css', 100);

if(!function_exists('fox009_vermilion_rgb_color')){

    function fox009_vermilion_rgb_color($hex){

		$hex = sanitize_hex_color($hex);
		if($hex == ''){
			return '255, 255, 255';
		}
		$hex = substr($hex,1);
		$decimal = hexdec($hex);
		if($decimal <= 0xfff) {
		  $r = ($decimal>>0x8)*0x11;
		  $g = ($decimal>>0x4&0xf)*0x11;
		  $b = ($decimal&0xf)*0x11;
		}else{
		  $r = $decimal>>0x10;
		  $g = $decimal>>0x8&0xff;
		  $b = $decimal&0xff;
		}
		return $r . ', ' . $g . ', ' . $b;
	}
}