<?php
if(!class_exists('Fox009_Vermilion_Customize_Control')
	&& class_exists('WP_Customize_Control')){

	class Fox009_Vermilion_Customize_Control extends WP_Customize_Control {
		
		public $heading = 'h3';
		public $parameters = array(); 
		
		public function __construct($manager, $id, $args = array()) {
			parent::__construct($manager, $id, $args);
		}

		protected function render_content() {
			$input_id         = '_customize-input-' . $this->id;
			$description_id   = '_customize-description-' . $this->id;
			switch($this->type) {
				case 'link':
					$link_href = $this->parameters['href'];
					$link_target = (!empty($this->parameters['href'])) ? $this->parameters['href'] : '_blank';
					$link_inner = $this->parameters['inner'];
					if(!empty($link_href)&&!empty($link_inner)){
						if(!empty($this->label)){
							echo '<' . esc_html($this->heading) . ' for="' . esc_attr($input_id) . 
								'" class="customize-control-' .	esc_html($this->heading) . '">';
							echo esc_html($this->label);
							echo '</' . esc_html($this->heading) . '>';
						}
						if(!empty($this->description)){
							echo '<p id="' . esc_attr($description_id) . 
								'" class="customize-control-description">';
							echo esc_html($this->description);
							echo '</p>';
						}
						echo '<a href="' . esc_url($link_href) . 
							'" class="customize-control-link" target="' .
							esc_attr($link_target) . '">';
						echo esc_html($link_inner);
						echo '</a>';
					}
					break;
				case 'separator':
					echo '<hr>';
					break;
				case 'category':
					if(!empty($this->label)){
					?>
						<label for="<?php echo esc_attr($input_id); ?>" class="customize-control-title">
							<?php echo esc_html($this->label); ?>
						</label>
					<?php
					}
					if(!empty($this->description)){
					?>
						<span id="<?php echo esc_attr( $description_id ); ?>" class="description customize-control-description">
							<?php echo $this->description; ?>
						</span>
					<?php
					}
					$dropdown_categories = wp_dropdown_categories(
						array(
							'id'              	=> $input_id,
							'echo'              => false,
							'show_option_none'  => __('All Categories','fox009-vermilion'),
							'option_none_value' => '0',
							'selected'          => $this->value(),
						)
					);
					$dropdown_categories = str_replace('<select', '<select ' . $this->get_link(), $dropdown_categories);
					echo $dropdown_categories;
					break;
				default:
					parent::render_content();
					break;		
								
			}
		}

	}
}