<?php

if(!function_exists('fox009_vermilion_sanitize_select')){
    function fox009_vermilion_sanitize_select($input, $setting){
        // Ensure input is a slug.
        $input = sanitize_key($input);

        // Get list of choices from the control associated with the setting.
        $choices = $setting->manager->get_control($setting->id)->choices;

        // If the input is a valid key, return it; otherwise, return the default.
        return (array_key_exists($input, $choices) ? $input : $setting->default);
    }
}

if(!function_exists('fox009_vermilion_sanitize_number')){
    function fox009_vermilion_sanitize_number($input, $setting){
		$input = sanitize_key($input);
		$input_attrs = $setting->manager->get_control($setting->id)->input_attrs;
		$input_attrs = array_merge(
			array(
				'min'  => '',
				'max'  => '',
				'step' => '1',
			),
			$input_attrs
		);
		if(is_numeric($input_attrs['min']) &&
			$input < $input_attrs['min']){
			$input = $input_attrs['min'];
		}
		if(is_numeric($input_attrs['max']) &&
			$input > $input_attrs['max']){
			$input = $input_attrs['max'];
		}
		return $input;
    }
}