<?php
$section = 'fox009_vermilion_section_content_archive';

$settings['thumbnail_position'] =
	array(
		array(
			'default'           => 'thumbnail_position',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'label'     => __( 'Thumbnail Position', 'fox009-vermilion' ),
			'section'   => $section,
			'choices' => array(
						'left'  => __('Left Image','fox009-vermilion'),
						'right' => __('Right Image','fox009-vermilion'),
						'none'  => __('No Image','fox009-vermilion')       
						),
			'type'      => 'select',
		)
	);


$settings['archive_excerpt_length'] =
	array(
		array(
			'default'           => 'archive_excerpt_length',
			'sanitize_callback' => 'absint',
		),
		array(
			'label'      => esc_html__('Enter Excerpt Length ','fox009-vermilion'),
			'section'    => $section,
			'type'      => 'number',
		)
	);

$settings['archive_read_more'] =
	array(
		array(
			'transport' 		=> 'postMessage',
			'default'           => 'archive_read_more',
			'sanitize_callback' => 'sanitize_text_field'
		), 
		array(
			'label'     => __( 'Read More Text', 'fox009-vermilion' ),
			'section'   => $section,
			'type'      => 'text',
		)
	);

$settings['archive_read_more_separator'] =
	array(
		array(
			'sanitize_callback' => '__return_false',
		),
		array(
			'section' 	=> $section,
			'type'	  	=> 'separator',
	   )
	);
	
$settings['archive_post_first'] =
	array(
		array(
			'default'           => 'archive_post_first',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'label'     => __( 'Post Block Frist Item', 'fox009-vermilion' ),
			'section'   => $section,
			'choices' => array(
						'title'  => __('Post Title','fox009-vermilion'),
						'meta' => __('Post Meta','fox009-vermilion'),      
						),
			'type'      => 'select',
		)
	);

$settings['archive_post_second'] =
	array(
		array(
			'default'           => 'archive_post_second',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'label'     => __( 'Post Block Second Item', 'fox009-vermilion' ),
			'section'   => $section,
			'choices' => array(
						'title'  => __('Post Title','fox009-vermilion'),
						'meta' => __('Post Meta','fox009-vermilion'),      
						),
			'type'      => 'select',
		)
	);

$settings['archive_post_second_separator'] =
	array(
		array(
			'sanitize_callback' => '__return_false',
		),
		array(
			'section' 	=> $section,
			'type'	  	=> 'separator',
	   )
	);

$settings['archive_meta_first'] =
	array(
		array(
			'default'           => 'archive_meta_first',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'label'     => __( 'Post Meta Frist Item', 'fox009-vermilion' ),
			'section'   => $section,
			'choices' 	=> array(
						'auther'  		=> __('Auther','fox009-vermilion'),
						'categories' 	=> __('Categories','fox009-vermilion'), 
						'date'  		=> __('Date','fox009-vermilion'),
						'comments' 		=> __('Comments','fox009-vermilion'),      
						),
			'type'      => 'select',
		)
	);

$settings['archive_meta_second'] =
	array(
		array(
			'default'           => 'archive_meta_second',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'label'     => __( 'Post Meta Second Item', 'fox009-vermilion' ),
			'section'   => $section,
			'choices' 	=> array(
						'auther'  		=> __('Auther','fox009-vermilion'),
						'categories' 	=> __('Categories','fox009-vermilion'), 
						'date'  		=> __('Date','fox009-vermilion'),
						'comments' 		=> __('Comments','fox009-vermilion'),    
						),
			'type'      => 'select',
		)
	);

$settings['archive_meta_third'] =
	array(
		array(
			'default'           => 'archive_meta_third',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'label'     => __( 'Post Meta Third Item', 'fox009-vermilion' ),
			'section'   => $section,
			'choices' 	=> array(
						'auther'  		=> __('Auther','fox009-vermilion'),
						'categories' 	=> __('Categories','fox009-vermilion'), 
						'date'  		=> __('Date','fox009-vermilion'),
						'comments' 		=> __('Comments','fox009-vermilion'),      
						),
			'type'      => 'select',
		)
	);

$settings['archive_meta_fourth'] =
	array(
		array(
			'default'           => 'archive_meta_fourth',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'label'     => __( 'Post Meta Fourth Item', 'fox009-vermilion' ),
			'section'   => $section,
			'choices' 	=> array(
						'auther'  		=> __('Auther','fox009-vermilion'),
						'categories' 	=> __('Categories','fox009-vermilion'), 
						'date'  		=> __('Date','fox009-vermilion'),
						'comments' 		=> __('Comments','fox009-vermilion'),    
						),
			'type'      => 'select',
		)
	);
	
$section = 'fox009_vermilion_section_content_single';

$settings['enable_featured_image'] =
	array(
		array(
			'default'           => 'enable_featured_image',
			'sanitize_callback' => 'absint'
		),
		array(
			'label'     => __( 'Show Featured Image', 'fox009-vermilion'),
			'section'   => $section,
			'type' 		=> 'checkbox',
		)
	);

$settings['enable_post_tags'] =
	array(
		array(
			'default'           => 'enable_post_tags',
			'sanitize_callback' => 'absint'
		),
		array(
			'label'     => __( 'Display Post Tags', 'fox009-vermilion'),
			'section'   => $section,
			'type' 		=> 'checkbox'
		)
	);
	
$settings['enable_post_tags_separator'] =
	array(
		array(
			'sanitize_callback' => '__return_false',
		),
		array(
			'section' 	=> $section,
			'type'	  	=> 'separator',
	   )
	);
	
$settings['single_post_first'] =
	array(
		array(
			'default'           => 'single_post_first',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'label'     => __( 'Post Block Frist Item', 'fox009-vermilion' ),
			'section'   => $section,
			'choices' => array(
						'title'  => __('Post Title','fox009-vermilion'),
						'meta' => __('Post Meta','fox009-vermilion'),      
						),
			'type'      => 'select',
		)
	);

$settings['single_post_second'] =
	array(
		array(
			'default'           => 'single_post_second',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'label'     => __( 'Post Block Second Item', 'fox009-vermilion' ),
			'section'   => $section,
			'choices' => array(
						'title'  => __('Post Title','fox009-vermilion'),
						'meta' => __('Post Meta','fox009-vermilion'),      
						),
			'type'      => 'select',
		)
	);
