<?php
$section = 'fox009_vermilion_section_general_container';

$settings['container_layout'] =
	array(
		array(
			'transport'			=> 'postMessage',
			'default'           => 'container_layout',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select',
		),
		array(
			'label'   => __( 'Layout', 'fox009-vermilion' ),
			'section' => $section,
			'choices' => array(
							'full' 	=> __( 'Full Width', 'fox009-vermilion' ),
							'limit' => __( 'Limit Max-Width', 'fox009-vermilion' ),
						),
			'type'    => 'select',
		)
	);

$settings['container_max_width'] =
	array(
		array(
			'transport'			=> 'postMessage',
			'default'           => 'container_max_width',
			'sanitize_callback' => 'fox009_vermilion_sanitize_number',
		),
		array(
			'label'     => __( 'Max-Width (1240-2520px)', 'fox009-vermilion' ),
			'section'   => $section,
			'type'    	=> 'number',
			'input_attrs' => array(
							'min'  => 1240,
							'max'  => 2520,
							'step' => 1,
						),
		)
	);

$settings['container_width_separator'] =
	array(
		array(
			'sanitize_callback' => '__return_false',
		),
		array(
			'setting' 	=> 'container_width_separator]',
			'section' 	=> $section,
			'type'	  	=> 'separator',
	   )
	);

$settings['primary_color'] =
	array(
		array(
			'transport'			=> 'postMessage',
			'default'           => 'primary_color',
			'sanitize_callback' => 'sanitize_hex_color',
		),
		array(
			'label'     => esc_html__( 'Primary Color', 'fox009-vermilion' ),
			'section' 	=> $section,
			'type'	  	=> 'color',
	   )
	);

$background_color = $wp_customize->get_control('background_color');
$background_color->section = $section;
$background_color->priority = 100;

$settings['background_color_separator'] =
	array(
		array(
			'sanitize_callback' => '__return_false',
		),
		array(
			'setting' 	=> 'container_width_separator]',
			'section' 	=> $section,
			'type'	  	=> 'separator',
			'priority'	=> 110,
	   )
	);		
			
$background_image = $wp_customize->get_control('background_image');
$background_image->section = $section;
$background_image->priority = 120;

$background_preset = $wp_customize->get_control('background_preset');
$background_preset->section = $section;
$background_preset->priority = 120;

$background_position = $wp_customize->get_control('background_position');
$background_position->section = $section;
$background_position->priority = 120;

$background_size = $wp_customize->get_control('background_size');
$background_size->section = $section;
$background_size->priority = 120;


$background_repeat = $wp_customize->get_control('background_repeat');
$background_repeat->section = $section;
$background_repeat->priority = 120;

$background_attachment = $wp_customize->get_control('background_attachment');
$background_attachment->section = $section;
$background_attachment->priority = 120;

$section = 'fox009_vermilion_section_general_sidebar';

//首页、分类、搜索都独立出来
$settings['default_sidebar_layout'] =
	array(
		array(
			'default'			=> 'default_sidebar_layout',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'choices'   => array(
								'right' => __('Right Sidebar', 'fox009-vermilion'),
								'left'  => __('Left Sidebar' , 'fox009-vermilion'),
								'none'  => __('No Sidebar', 'fox009-vermilion')
							),
			'label'		=> __( 'Default Sidebar Layout', 'fox009-vermilion'),
			'section'   => $section,
			'type'	  	=> 'select',
		)
	);
	
$settings['sidebar_layout_archive'] =
	array(
		array(
			'default'			=> 'sidebar_layout_archive',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'choices'   => array(
								'default'  	=> __('Default', 'fox009-vermilion'),
								'right' 	=> __('Right Sidebar', 'fox009-vermilion'),
								'left'  	=> __('Left Sidebar' , 'fox009-vermilion'),
								'none'    	=> __('No Sidebar', 'fox009-vermilion')
							),
			'label'		=> __( 'Sidebar Layout of Blog/Archive', 'fox009-vermilion'),
			'section'   => $section,
			'type'	  	=> 'select',
		)
	);

$settings['sidebar_layout_single'] =
	array(
		array(
			'default'			=> 'sidebar_layout_single',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'choices'   => array(
								'default'  	=> __('Default', 'fox009-vermilion'),
								'right' 	=> __('Right Sidebar', 'fox009-vermilion'),
								'left'  	=> __('Left Sidebar' , 'fox009-vermilion'),
								'none'    	=> __('No Sidebar', 'fox009-vermilion')
							),
			'label'		=> __( 'Sidebar Layout of Single Post', 'fox009-vermilion'),
			'section'   => $section,
			'type'	  	=> 'select',
		)
	);

$settings['sidebar_layout_page'] =
	array(
		array(
			'default'			=> 'sidebar_layout_page',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'choices'   => array(
								'default'  	=> __('Default', 'fox009-vermilion'),
								'right' 	=> __('Right Sidebar', 'fox009-vermilion'),
								'left'  	=> __('Left Sidebar' , 'fox009-vermilion'),
								'none'    	=> __('No Sidebar', 'fox009-vermilion')
							),
			'label'		=> __( 'Sidebar Layout of Page', 'fox009-vermilion'),
			'section'   => $section,
			'type'	  	=> 'select',
		)
	);

$settings['sidebar_layout_separator'] =
	array(
		array(
			'sanitize_callback' => '__return_false',
		),
		array(
			'section' 	=> $section,
			'type'	  	=> 'separator',
	   )
	);

$settings['sidebar_width'] =
	array(
		array(
			'transport'			=> 'postMessage',
			'default'           => 'sidebar_width',
			'sanitize_callback' => 'fox009_vermilion_sanitize_number',
		),
		array(
			'label'     => __( 'Max-Width (10-50%)', 'fox009-vermilion' ),
			'section'   => $section,
			'type'    	=> 'number',
			'input_attrs' => array(
							'min'  => 10,
							'max'  => 50,
							'step' => 1,
						),
		)
	);


$section = 'fox009_vermilion_section_general_breadcrumbs';

$settings['enable_breadcrumbs'] =
	array(
		array(
			'default'           => 'enable_breadcrumbs',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'label' => esc_html__('Enable Breadcrumbs', 'fox009-vermilion'),
			'section'   => $section,
			'choices'   => array(
							'1'     => esc_html__('Enable', 'fox009-vermilion'),
							'0'    => esc_html__('Disable', 'fox009-vermilion'),
						  ),
			'type' => 'select'
		)
	);

$settings['enable_breadcrumbs_separator'] =
	array(
		array(
			'sanitize_callback' => '__return_false',
		),
		array(
			'section' 	=> $section,
			'type'	  	=> 'separator',
	   )
	);

$settings['disable_breadcrumbs_home'] =
	array(
		array(
			'default'           => 'disable_breadcrumbs_home',
			'sanitize_callback' => 'absint'
		),
		array(
			'label' => esc_html__('Disable Breadcrumbs in Home', 'fox009-vermilion'),
			'section'   => $section,
			'type' => 'checkbox'
		)
	);

$settings['disable_breadcrumbs_archive'] =
	array(
		array(
			'default'           => 'disable_breadcrumbs_archive',
			'sanitize_callback' => 'absint'
		),
		array(
			'label' => esc_html__('Disable Breadcrumbs in Blog/Archive', 'fox009-vermilion'),
			'section'   => $section,
			'type' => 'checkbox'
		)
	);

$settings['disable_breadcrumbs_search'] =
	array(
		array(
			'default'           => 'disable_breadcrumbs_search',
			'sanitize_callback' => 'absint'
		),
		array(
			'label' => esc_html__('Disable Breadcrumbs in Search Results', 'fox009-vermilion'),
			'section'   => $section,
			'type' => 'checkbox'
		)
	);

$settings['disable_breadcrumbs_single'] =
	array(
		array(
			'default'           => 'disable_breadcrumbs_single',
			'sanitize_callback' => 'absint'
		),
		array(
			'label' => esc_html__('Disable Breadcrumbs in Single Post', 'fox009-vermilion'),
			'section'   => $section,
			'type' => 'checkbox'
		)
	);

$settings['disable_breadcrumbs_page'] =
	array(
		array(
			'default'           => 'disable_breadcrumbs_page',
			'sanitize_callback' => 'absint'
		),
		array(
			'label' => esc_html__('Disable Breadcrumbs in Page', 'fox009-vermilion'),
			'section'   => $section,
			'type' => 'checkbox'
		)
	);

$settings['disable_breadcrumbs_404'] =
	array(
		array(
			'default'           => 'disable_breadcrumbs_404',
			'sanitize_callback' => 'absint'
		),
		array(
			'label' => esc_html__('Disable Breadcrumbs in 404', 'fox009-vermilion'),
			'section'   => $section,
			'type' => 'checkbox'
		)
	);

$settings['disable_breadcrumbs_separator'] =
	array(
		array(
			'sanitize_callback' => '__return_false',
		),
		array(
			'section' 	=> $section,
			'type'	  	=> 'separator',
	   )
	);

$settings['breadcrumbs_separator'] =
	array(
		array(
			'default'           => 'breadcrumbs_separator',
			'sanitize_callback' => 'sanitize_text_field',
		),
		array(
			'label'           => __( 'Breadcrumbs Separator', 'fox009-vermilion' ),
			'section'         => $section,
			'type'            => 'text',
		)
	);

$section = 'fox009_vermilion_section_general_button';

$settings['button_color'] =
	array(
		array(
			'transport'			=> 'postMessage',
			'default'           => 'button_color',
			'sanitize_callback' => 'sanitize_hex_color',
		),
		array(
			'label'   => esc_html__( 'Text Color', 'fox009-vermilion' ),
			'section' => $section,
			'type'	  => 'color',
		)
	);

$settings['button_color_separator'] =
	array(
		array(
			'sanitize_callback' => '__return_false',
		),
		array(

			'section' 	=> $section,
			'type'	  	=> 'separator',
		)
	);

$settings['button_border_radius'] =
	array(
		array(
			'transport'			=> 'postMessage',
			'default'           => 'button_border_radius',
			'sanitize_callback' => 'fox009_vermilion_sanitize_number',
		),
		array(
			'label'         => __( 'Border Radius (px)', 'fox009-vermilion' ),
			'section'       => $section,
			'type'    		=> 'number',
			'input_attrs' 	=> array(
								'min'  => 0,
								'max'  => 30,
								'step' => 1,
							),
		)
	);	