<?php
$section = 'fox009_vermilion_section_header_site_identity';

$wp_customize->get_control( 'custom_logo' )->section = $section;

$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
$wp_customize->get_control( 'blogname' )->section = $section;

$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
$wp_customize->get_control( 'blogdescription' )->section = $section;

$wp_customize->get_control( 'site_icon' )->section = $section;

$section = 'fox009_vermilion_section_header_layout';


$settings['header_top_section'] =
	array(
		array(
			'default'           => 'header_top_section',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		), 
		array(
			'label'       => __( 'Header Top Section', 'fox009-vermilion' ),
			'section'     => $section,
			'choices'   => array(
							'1'     => esc_html__('Enable', 'fox009-vermilion'),
							'0'    => esc_html__('Disable', 'fox009-vermilion'),
							),
			'type' => 'select'
		)
	);

$settings['header_top_menu'] =
	array(
		array(
			'default'           => 'header_top_menu',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		), 
		array(
			'label'     => __( 'Header Top Menu', 'fox009-vermilion' ),
			'section'   => $section,
			'choices'   => array(
							'1'     => esc_html__('Enable', 'fox009-vermilion'),
							'0'    => esc_html__('Disable', 'fox009-vermilion'),
							),
			'type' => 'select'
		)
	);

$settings['header_social'] =
	array(
		array(
			'default'           => 'header_social',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		), 
		array(
			'label'     => __( 'Header Social Menu ', 'fox009-vermilion' ),
			'section'   => $section,
			'choices'   => array(
							'1'     => esc_html__('Enable', 'fox009-vermilion'),
							'0'    => esc_html__('Disable', 'fox009-vermilion'),
							),
			'type' => 'select'
		)
	);

$settings['site_title_font_size'] =
	array(
		array(
			'transport' 		=> 'postMessage',
			'default'           => 'site_title_font_size',
			'sanitize_callback' => 'fox009_vermilion_sanitize_number',
		),
		array(
			'label'         => __( 'Site Title Font Size (rem)', 'fox009-vermilion' ),
			'section'       => $section,
			'type'    		=> 'number',
			'input_attrs' 	=> array(
								'min'  => 1,
								'max'  => 10,
								'step' => 0.1,
							),
		)
	);

$section = 'fox009_vermilion_section_header_navigation';

$settings['header_nav_transform'] =
	array(
		array(
			'transport' 		=> 'postMessage',
			'default'           => 'header_nav_transform',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		), 
		array(
			'label'     => __( 'Navigation Transform', 'fox009-vermilion' ),
			'section'   => $section,
			'choices'   => array(
							'none'     => esc_html__('Default', 'fox009-vermilion'),
							'capitalize'    => esc_html__('Capitalize', 'fox009-vermilion'),
							'uppercase'    => esc_html__('Uppercase', 'fox009-vermilion'),
							'lowercase'    => esc_html__('Lowercase', 'fox009-vermilion'),
							),
			'type' 		=> 'select'
		)
	);

$settings['top_nav_padding_left'] =
	array(
		array(
			'transport' 		=> 'postMessage',
			'default'           => 'top_nav_padding_left',
			'sanitize_callback' => 'fox009_vermilion_sanitize_number'
		), 
		array(
			'label'     => __( 'Top Navigation Padding Left (px)', 'fox009-vermilion' ),
			'section'   => $section,
			'type'    		=> 'number',
			'input_attrs' 	=> array(
								'min'  => 10,
								'max'  => 500,
								'step' => 1,
							),
		)
	);

$settings['main_nav_padding_left'] = 
	array(
		array(
			'transport' 		=> 'postMessage',
			'default'           => 'main_nav_padding_left',
			'sanitize_callback' => 'fox009_vermilion_sanitize_number'
		), 
		array(
			'label'     => __( 'Main Navigation Padding Left (px)', 'fox009-vermilion' ),
			'section'   => $section,
			'type'    		=> 'number',
			'input_attrs' 	=> array(
								'min'  => 10,
								'max'  => 500,
								'step' => 1,
							),
		)
	);

$settings['top_menu_text'] =
	array(
		array(
			'transport' 		=> 'postMessage',
			'default'           => 'top_menu_text',
			'sanitize_callback' => 'sanitize_text_field',
		),
		array(
			'label'   => __( 'Top Menu Mobile Text', 'fox009-vermilion' ),
			'section' => $section,
			'type'    => 'text',
		)
	);

$settings['main_menu_text'] =
	array(
		array(
			'transport' 		=> 'postMessage',
			'default'           => 'main_menu_text',
			'sanitize_callback' => 'sanitize_text_field',
		),
		array(
			'label'   => __( 'Main Menu Mobile Text', 'fox009-vermilion' ),
			'section' => $section,
			'type'    => 'text',
		)
	);

$section = 'fox009_vermilion_section_header_slider';

$settings['enable_slider'] =
	array(
		array(
			'default'           => 'enable_slider',
			'sanitize_callback' => 'fox009_vermilion_sanitize_select'
		),
		array(
			'label'     => __( 'Enable Image Slider', 'fox009-vermilion'),
			'section'   => $section,
			'choices'   => array(
							'1'     => esc_html__('Enable', 'fox009-vermilion'),
							'0'    => esc_html__('Disable', 'fox009-vermilion'),
							),
			'type' => 'select'
		)
	);
	
$settings['slider_category'] =
	array(
		array(
			'capability'		=> 'edit_theme_options',
			'default'			=> 'slider_category',
			'sanitize_callback' => 'absint'
		),
		array(
				'label'		=> __( 'Select Category', 'fox009-vermilion' ),
				'section'   => $section,
				'type'	  	=> 'category',
		)
	);

$settings['slider_images_count'] =
	array(
		array(
			'default'           => 'slider_images_count',
			'sanitize_callback' => 'fox009_vermilion_sanitize_number'
		), 
		array(
			'label'     => __( 'Number of Images in Slider', 'fox009-vermilion' ),
			'section'   => $section,
			'type'    		=> 'number',
			'input_attrs' 	=> array(
								'min'  => 3,
								'max'  => 20,
								'step' => 1,
							),
		)
	);	

$settings['slider_max_height'] =
	array(
		array(
			'transport' 		=> 'postMessage',
			'default'     		=>  'slider_max_height',
			'sanitize_callback' => 'absint',
		),
		array(
			'label'   	=> __( 'Image Slider Max Height (px)', 'fox009-vermilion' ),
			'section' 	=> $section,
			'type'		=> 'number'
		)
	);

$settings['slider_autoplay_timeout'] =
	array(
		array(
			'default'     =>  'slider_autoplay_timeout',
			'sanitize_callback' => 'absint',
		),
		array(
			'label'   	=> __( 'Image Slider Autoplay Timeout (ms)', 'fox009-vermilion' ),
			'section' 	=> $section,
			'type'		=> 'number'
		)
	);

$settings['slider_background_color'] =
	array(
		array(
			'transport' 		=> 'postMessage',
			'default'     		=> 'slider_background_color',
			'sanitize_callback' => 'sanitize_hex_color',
		),
		array(
			'label'   => __( 'Image Slider Background Color', 'fox009-vermilion' ),
			'section' => $section,     
			'type'	  => 'color',
		)

	);

$settings['slider_autoplay'] =
	array(
		array(
			'default'     =>  'slider_autoplay',
			'sanitize_callback' => 'absint',
		),
		array(
			'label'   	=> __( 'Image Slider Autoplay', 'fox009-vermilion' ),
			'section' 	=> $section,
			'type'		=> 'checkbox'
		)
	);

$settings['slider_loop'] =
	array(
		array(
			'default'     =>  'slider_loop',
			'sanitize_callback' => 'absint',
		),
		array(
			'label'   	=> __( 'Image Slider Loop', 'fox009-vermilion' ),
			'section' 	=> $section,
			'type'		=> 'checkbox'
		)
	);
