<?php
if( ! function_exists( 'fox009_vermilion_slider' ) ) {

	function fox009_vermilion_slider() {
		if(!is_home()){
			return;
		}
		
		$images_count = fox009_vermilion_theme_options('slider_images_count');
		
		if(!fox009_vermilion_theme_options('enable_slider')){
			return;
		}
		
		$read_more = fox009_vermilion_theme_options('archive_read_more');
		$slider_autoplay = fox009_vermilion_theme_options('slider_autoplay');
		$slider_autoplay_timeout = fox009_vermilion_theme_options('slider_autoplay_timeout');
		$slider_loop = fox009_vermilion_theme_options('slider_loop');
		$category_id = fox009_vermilion_theme_options('slider_category');
		$slider_query = new WP_Query(
			array( 
				'cat' =>$category_id ,
				'posts_per_page' => -1 
			)
		);
		if(!$slider_query->have_posts())
			return;
		?>
		<div class="slider-images">
			<div class="slider-container">
				<div class="owl-carousel owl-theme" data-autoplay=<?php echo esc_attr($slider_autoplay); ?> data-autoplay-timeout=<?php echo esc_attr($slider_autoplay_timeout); ?> data-loop=<?php echo esc_attr($slider_loop); ?>>
					<?php
					for($images_index = 0;
						$slider_query->have_posts() && 
						$images_index < $images_count;
						){
						$slider_query->the_post();
						if(has_post_thumbnail()){
							$images_index++;
							?>
							<div class="slide-item">
								<div class="post-featured-image">
									<?php
									the_post_thumbnail(
										'homepage-slider',
										array(
											'alt' => the_title_attribute(
												array(
													'echo' => false,
												)
											),
										)
									);
									?>
								</div>
								<div class="post-info text-center">
									<?php fox009_vermilion_post_structure(); ?>
									<div class="read-more-button">
										<a class="button read-more" href="<?php the_permalink(); ?>"><?php echo esc_html($read_more); ?></a>
									</div>
								</div>

							</div>

					<?php
						}
					}
					wp_reset_postdata();
					?>
				</div>
			</div>
		</div>
	<?php
	}
}