<?php
/**
 * Template part for displaying a message that posts cannot be found
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Fox009_Vermilion
 */

?>

<div class="no-results not-found">
	<div class="page-header-container padding20 shadow">
		<header class="page-header">
			<h1 class="page-title">
				<?php esc_html_e( 'Nothing Found', 'fox009-vermilion' ); ?>
			</h1>
			<div class="archive-description">
				<?php
				if ( is_home() && current_user_can( 'publish_posts' ) ) :

					printf(
						'<p>' . wp_kses(
							/* translators: 1: link to WP admin new post page. */
							__( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'fox009-vermilion' ),
							array(
								'a' => array(
										'href' => array(),
									),
							)
						) . '</p>',
						esc_url( admin_url( 'post-new.php' ) )
					);

				elseif ( is_search() ) :
					?>

					<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'fox009-vermilion' ); ?></p>
					<?php
					get_search_form();

				else :
					?>

					<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'fox009-vermilion' ); ?></p>
					<?php
					get_search_form();

				endif;
				?>
			</div>
		</header><!-- .page-header -->
	</div>
</div><!-- .no-results -->
