<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Fox009_Vermilion
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-inner padding20 shadow">
		<?php 
		if(has_post_thumbnail()){
		?>
			<div class="post-featured-image">
				<?php
				the_post_thumbnail(
					'post-thumbnail',
					array(
						'alt' => the_title_attribute(
							array(
								'echo' => false,
							)
						),
					)
				);
				?>
			</div>
		<?php
		}
		?>	
		<div class="post-info">
			<?php
			fox009_vermilion_post_structure();
			$excerpt_length = fox009_vermilion_theme_options('archive_excerpt_length');
			?>
			<div class="post-summary">
				<p><?php echo esc_html( wp_trim_words(get_the_content(), $excerpt_length));?> </p>
			</div>
			<?php
			$read_more = fox009_vermilion_theme_options('archive_read_more');
			?>
			<div class="read-more-button">
				<a class="button read-more" href="<?php the_permalink(); ?>">
					<?php echo esc_html($read_more) ?>
				</a>
			</div>
		</div>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->
